Send Email
curl --request POST \
--url https://api.amisend.com/emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "noreply@example.com",
"to": [
"user1@example.com",
"user2@example.com"
],
"subject": "Welcome!",
"html": "<h1>Hello</h1>",
"scheduledAt": "2025-06-17T12:00:00Z",
"reply_to": "support@example.com",
"attachments": [
{}
]
}
'import requests
url = "https://api.amisend.com/emails"
payload = {
"from": "noreply@example.com",
"to": ["user1@example.com", "user2@example.com"],
"subject": "Welcome!",
"html": "<h1>Hello</h1>",
"scheduledAt": "2025-06-17T12:00:00Z",
"reply_to": "support@example.com",
"attachments": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: 'noreply@example.com',
to: ['user1@example.com', 'user2@example.com'],
subject: 'Welcome!',
html: '<h1>Hello</h1>',
scheduledAt: '2025-06-17T12:00:00Z',
reply_to: 'support@example.com',
attachments: [{}]
})
};
fetch('https://api.amisend.com/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Emails queued",
"id": [
"<string>"
]
}Email
Send Email
POST
/
emails
Send Email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I